#
# spec file for package python-oslosphinx
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           python-oslosphinx
Version:        4.18.0
Release:        8.3.2
Summary:        OpenStack Sphinx
License:        Apache-2.0
Group:          Development/Languages/Python
URL:            https://launchpad.net/oslosphinx
Source0:        https://files.pythonhosted.org/packages/source/o/oslosphinx/oslosphinx-4.18.0.tar.gz
BuildRequires:  openstack-macros
BuildRequires:  python3-pbr >= 2.0.0
BuildRequires:  python3-setuptools
BuildArch:      noarch

%description
The Oslo Sphinx library provides an OpenStack common
layer of Sphinx plugins.

%package -n python3-oslosphinx
Summary:        OpenStack Sphinx
Requires:       python3-pbr >= 2.0.0
Requires:       python3-requests >= 2.14.2
Requires:       python3-six >= 1.10.0

%description -n python3-oslosphinx
The Oslo Sphinx library provides an OpenStack common
layer of Sphinx plugins.

%prep
%autosetup -p1 -n oslosphinx-4.18.0
%py_req_cleanup

%build
%py3_build

%install
%py3_install

%files -n python3-oslosphinx
%doc README.rst
%license LICENSE
%{python3_sitelib}/oslosphinx
%{python3_sitelib}/*.egg-info

%changelog
* Tue Dec 14 2021 dmueller@suse.com
- switch to stable/ussuri spec template (bsc#1191205)
* Fri Feb 23 2018 tbechtold@suse.com
- Switch to stable/queens spec template
* Thu Jan 18 2018 tbechtold@suse.com
- Convert to singlespec
* Mon Jan 15 2018 cloud-devel@suse.de
- update to version 4.18.0
  - Remove -U from pip install
  - Update reno for stable/pike
  - Remove setting of version/release from releasenotes
  - mark oslosphinx as obsolete
  - Avoid tox_install.sh for constraints support
  - Updated from global requirements
* Mon Aug  7 2017 cloud-devel@suse.de
- update to version 4.15.1
  - Amended dev documentation side navigation
  - Fix doc build from tarball using eventlet>0.19.0
  - Fix intersphinx mapping for neutron
  - [Fix gate]Update test requirement
  - Use https instead of http for git.openstack.org
  - Update reno for stable/ocata
  - Fix outdated quantumclient reference
  - Remove pbr warnerrors in favor of sphinx check
  - Updated from global requirements
  - Switch from oslosphinx to openstackdocstheme
  - add more clear guidelines for when using oslosphinx is appropriate
* Fri Feb 10 2017 cloud-devel@suse.de
- update to version 4.10.0:
  - Remove references to Python 3.4
  - Add Constraints support
  - Updated from global requirements
  - Show team and repo badges on README
  - Update homepage with developer documentation page
  - Support more notice blocks like important, tip and caution
  - Add reno for release notes management
  - Fixed AttributeError: 'str' object has no attribute 'decode'
* Fri Oct 14 2016 tbechtold@suse.com
- switch to stable/newton in _service
* Wed Aug 10 2016 tbechtold@suse.com
- update to 4.7.0:
  * Allow "Other Versions" section to be configurable
  * Updated from global requirements
  * fix other versions sidebar links
  * Subprocess returns bytes in py3
  * Updated from global requirements
  * add recent versions links to sidebar
- Update _service and switch to upstream spec template
* Thu Mar  3 2016 tbechtold@suse.com
- Switch to .spec from rpm-packaging upstream project
* Thu Feb 18 2016 dmueller@suse.com
- update to 4.3.0:
  * Add version and download badges to README
  * Correct project source guessing for OpenStack
  * Updated from global requirements
  * Deprecated tox -downloadcache option removed
  * Removes MANIFEST.in as it is not needed explicitely by PBR
  * Use proper decode function name
  * trap errors from git not being present
  * Fix a string vs bytes issue in _guess_cgit_link
  * Remove Python 2.6 classifier
  * fix html context event handler
  * cleanup tox.ini
  * add config option to point to the cgit browser
  * fix html-page-context event handler
  * No need for Oslo Incubator Sync
  * Make urlparse import Python3-compatible
  * Fix subprocess exception name
  * Titles in table of contents continue into the page
  * clean up documentation titles and intros
  * add pbr-generated release history to the doc build
  * add link to project source in navigation sidebar
* Wed Jul 29 2015 tbechtold@suse.com
- Unify spec file. Use fedora compatible files macros
* Mon Jul 20 2015 dmueller@suse.com
- update to 3.0.0:
  * Drop incubating theme option
  * Replace ci.o.o links with docs.o.o/infra
  * Advertise support for Python3.4 / Remove support for Python 3.3
  * Updated from global requirements
  * Remove run_cross_tests.sh
  * Updated from global requirements
  * Remove the unneeded horizontal scrollbar
  * Adds javascript footer for Google Analytics tracking
  * Update to latest hacking
* Tue Mar 10 2015 tbechtold@suse.com
- update to 2.5.0:
  * Speed up blueprint checking with naming convention
* Tue Feb 24 2015 tbechtold@suse.com
- update to 2.4.0:
  * Allow alternate OpenStack themes
  * Add links to the README
  * Add run_cross_tests.sh from incubator
  * Add an extension for validating blueprint names
  * Workflow documentation is now in infra-manual
- Add python-requests as Requires
* Wed Jan 14 2015 dmueller@suse.com
- update to version 2.3.0:
  * provide visual separation in sidebar
  * Updated from global requirements
  * Add pbr to installation requirements
  * Report documentation build warnings as errors
  * Add initial cut for documentation
  * Remove empty file
  * warn against sorting requirements
* Sun Sep 21 2014 tbechtold@suse.com
- update to version 2.2.0:
  * Just version bump
* Thu Aug 28 2014 dmueller@suse.com
- update to 2.2.0.0a3:
  * Fixed link text colour for incubation variant
  * Added a incubating project config option
  * Updated from global requirements
  * Bump hacking to 0.9.x series
  * Updated from global requirements
* Wed Apr  2 2014 speilicke@suse.com
- Update to version 2.1.0:
  * Update manifest to use oslosphinx
  * Remove vim header
  * Remove references to oslo.sphinx
  * Update .gitreview after repo rename
- Switch to Icehouse release
- Fix source service after rename to oslosphinx
* Tue Mar 25 2014 dmueller@suse.com
- fix source url
* Thu Feb 13 2014 dmueller@suse.com
- rename to python-oslosphinx
* Tue Feb 11 2014 speilicke@suse.com
- Replace git_tarballs source service with download_files and set_version
  + Use upstream URL as source (enables verification)
* Thu Nov 14 2013 speilicke@suse.com
- Drop unused requirements
* Thu Oct 24 2013 speilicke@suse.com
- Update to version 1.1:
  + No changes
  - Set fixed version in _changes file
* Wed Oct  9 2013 dmueller@suse.com
- update to 1.1:
  * In sync with Havana release
* Tue Oct  1 2013 speilicke@suse.com
- Provide/obsolete doc and test sub-packages
* Sat Sep 21 2013 opensuse-cloud@opensuse.org
- Update to version 1.0.10:
  + Update build config
* Thu Sep 19 2013 opensuse-cloud@opensuse.org
- Update to version 1.0.8:
  + Update pbr usage past needing d2to1
  + Add namespace_packages to setup.cfg
* Fri Jul 19 2013 dmueller@suse.com
- remove doc subpackage
* Mon Jul 15 2013 opensuse-cloud@opensuse.org
- Update to version 1.0.4:
  + Add an OpenStack-wide intersphinx mapping file
* Fri Jul 12 2013 opensuse-cloud@opensuse.org
- Update to version 1.0.3:
  + Add emacs save files to gitignore
  + Ensure that AUTHORS and ChangeLog are packaged
* Fri Jul 12 2013 dmueller@suse.com
- drop -test subpackage
* Tue Jul  2 2013 dmueller@suse.com
- Initial package
